Bug 226941 - An unhandled exeption occurred, Componet: Software Updater
Summary: An unhandled exeption occurred, Componet: Software Updater
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: yum   
(Show other bugs)
Version: 6
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-02 05:36 UTC by foxfire
Modified: 2014-01-21 22:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-25 19:14:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Traceback for Bug 226941 (2.45 KB, text/plain)
2007-02-06 01:33 UTC, foxfire
no flags Details
fedora-core (1.03 KB, application/octet-stream)
2007-02-06 07:29 UTC, foxfire
no flags Details
fedora-development (1.71 KB, application/octet-stream)
2007-02-06 07:30 UTC, foxfire
no flags Details
fedora-extras (981 bytes, application/octet-stream)
2007-02-06 07:31 UTC, foxfire
no flags Details
fedora-extras-development (1.46 KB, application/octet-stream)
2007-02-06 07:32 UTC, foxfire
no flags Details
fedora-legacy (517 bytes, application/octet-stream)
2007-02-06 07:33 UTC, foxfire
no flags Details
fedora-updates (1.01 KB, application/octet-stream)
2007-02-06 07:34 UTC, foxfire
no flags Details
fedora-updates-testing (1.09 KB, application/octet-stream)
2007-02-06 07:35 UTC, foxfire
no flags Details
freshrpms (354 bytes, application/octet-stream)
2007-02-06 07:36 UTC, foxfire
no flags Details
livna (1.77 KB, application/octet-stream)
2007-02-06 07:36 UTC, foxfire
no flags Details
livna-devel (1.86 KB, application/octet-stream)
2007-02-06 07:37 UTC, foxfire
no flags Details
livna-testing (1.96 KB, application/octet-stream)
2007-02-06 07:38 UTC, foxfire
no flags Details
yum.conf (466 bytes, text/plain)
2007-02-06 07:39 UTC, foxfire
no flags Details

Description foxfire 2007-02-02 05:36:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.0.9) Gecko/20061219 Fedora/1.5.0.9-1.fc6 Firefox/1.5.0.9 pango-text

Description of problem:
This has happened on a few occasions, usually a re-boot helps, this time upon second re-boot the problem still exists. Before it happend on this occasion, I forgot to disconnect modem internet connection when powering down computer the session before, upon re-boot, I got an error trying to connect to the internet with kppp telling me there was another instance running and told me to delete the pid something in /root/.kde somewhere, I quit kppp and tried again with success without deleting this pid thing. Then got this exception when using GUI software updater, shut everything down and re-booted and got same problem. This is the first time it happened twice in a row.
I have forgot to disconnect modem connection in the past also, not sure if this software updater issue happened after those instances, but got a gut feeling it was some situation. Crash dump file is attached.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try


Steps to Reproduce:
1.Using GUI software updater to check for updates
2.
3.

Actual Results:
The crash

Expected Results:
It should have gone through the scan for updates

Additional info:

Comment 1 Jeremy Katz 2007-02-05 20:50:01 UTC
Can you provide the traceback you received?

Comment 2 foxfire 2007-02-06 01:33:40 UTC
Created attachment 147422 [details]
Traceback for Bug 226941

Comment 3 Seth Vidal 2007-02-06 04:54:18 UTC
Can you post your config file(/etc/yum.conf)  and your /etc/yum.repos.d/*.repo
files? I think one of them has a typo in it that is causing the problem you're
having.

Comment 4 foxfire 2007-02-06 07:29:18 UTC
Created attachment 147436 [details]
fedora-core

Comment 5 foxfire 2007-02-06 07:30:36 UTC
Created attachment 147437 [details]
fedora-development

Comment 6 foxfire 2007-02-06 07:31:07 UTC
Created attachment 147438 [details]
fedora-extras

Comment 7 foxfire 2007-02-06 07:32:45 UTC
Created attachment 147439 [details]
fedora-extras-development

Comment 8 foxfire 2007-02-06 07:33:23 UTC
Created attachment 147440 [details]
fedora-legacy

Comment 9 foxfire 2007-02-06 07:34:04 UTC
Created attachment 147441 [details]
fedora-updates

Comment 10 foxfire 2007-02-06 07:35:29 UTC
Created attachment 147442 [details]
fedora-updates-testing

Comment 11 foxfire 2007-02-06 07:36:00 UTC
Created attachment 147443 [details]
freshrpms

Comment 12 foxfire 2007-02-06 07:36:46 UTC
Created attachment 147444 [details]
livna

Comment 13 foxfire 2007-02-06 07:37:51 UTC
Created attachment 147445 [details]
livna-devel

Comment 14 foxfire 2007-02-06 07:38:35 UTC
Created attachment 147446 [details]
livna-testing

Comment 15 foxfire 2007-02-06 07:39:32 UTC
Created attachment 147447 [details]
yum.conf

Comment 16 foxfire 2007-02-06 07:50:25 UTC
I had tried to update a couple times after submiting the bug to no avail either
through GUI or CLI, I also noticed as I shut down that copy of Fedora (as I have
two newer one since), that yum updatesd showed (failed). The attachments are
from affected copy.

Comment 17 Seth Vidal 2007-02-06 13:55:54 UTC
in your yum.conf you have:

# PUT YOUR REPOS HERE OR IN separate files named file.repo
# in /etc/yum.repos.d
 [atrpms]
name=Fedora Core $releasever - $basearch - ATrpms
baseurl=http://dl.atrpms.net/fc$releasever-$basearch/atrpms/stable
gpgkey=http://ATrpms.net/RPM-GPG-KEY.atrpms
gpgcheck=1


see the 'space' in front of [atrpms]

get rid of the space. see if it works.



Comment 18 foxfire 2007-02-06 19:41:13 UTC
Yes that appears to be the animal that you need to hunt down, I took out the
space and used the GUI, it did the scan and presented a list. I quit to come to
this third copy of Fedora to retrieve rpms in the caches to avoid
re-downloading. I had just imported that key not to long before this event
(bug), I got the import information at this site:
http://www.fedorafaq.org/
I also noticed there is a notice (warning) at the top of the page, not sure if I
seen it when I was there last. So now I will transfer the rpms to their
respective caches and try to update it, if I say no more here, everything's cool.

Comment 19 foxfire 2007-02-06 22:56:39 UTC
After looking back at past steps, it appears I may have set up atrpms repo from
http://atrpms.net/install.html as I also noticed a new atrpm cache folder, also
noticed a atrpm update as I applied updates.

End


Note You need to log in before you can comment on or make changes to this bug.